POST
https://api.usenotra.com
/
v1
/
skills
Create a skill
curl --request POST \
--url https://api.usenotra.com/v1/skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "humanizer",
"description": "Polish near-final drafts so they sound natural and specific.",
"content": "<string>"
}
'import requests
url = "https://api.usenotra.com/v1/skills"
payload = {
"name": "humanizer",
"description": "Polish near-final drafts so they sound natural and specific.",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'humanizer',
description: 'Polish near-final drafts so they sound natural and specific.',
content: '<string>'
})
};
fetch('https://api.usenotra.com/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isSystem": true,
"updatedAt": "<string>",
"content": "<string>",
"createdAt": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Body
application/json
Skill name. Lowercase letters, digits, and hyphens only.
Required string length:
1 - 64Pattern:
^[a-z0-9][a-z0-9-]*[a-z0-9]$|^[a-z0-9]$Example:
"humanizer"
Short description of when the skill should be used.
Required string length:
1 - 1000Example:
"Polish near-final drafts so they sound natural and specific."
Full skill instructions, typically Markdown.
Required string length:
1 - 200000Response
Skill created successfully
Show child attributes
Show child attributes
Last modified on July 17, 2026
Was this page helpful?
⌘I
Create a skill
